/*
 * Copyright 2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.derquinse.lucis;

/**
 * Index Service Status.
 * @author Andres Rodriguez
 */
public enum IndexStatus {
	STOPPED(false, true), ACTIVE(true, false), PAUSED(true, true), ERROR(), IOERROR(), CORRUPT(), LOCKED();

	private final boolean on;
	private final boolean error;
	private final boolean backup;

	private IndexStatus() {
		this.on = false;
		this.error = true;
		this.backup = false;
	}

	private IndexStatus(final boolean on, final boolean backup) {
		this.on = on;
		this.error = false;
		this.backup = backup;
	}

	public boolean isOn() {
		return on;
	}

	public boolean isError() {
		return error;
	}

	public boolean isBackup() {
		return backup;
	}

}
